
public class Main {
	 
	public static void main(String[] args) {
		Cursor<String> l = new Cursor<>(9);
		int head1  = l.creatList();
		l.add(head1, "10");
		l.add(head1, "20");
		l.add(head1, "30");
		
		int head2 = l.creatList();
		
		l.add(head2, "555");
		l.print();
		System.out.println("-------------");
		l.swap(head1, "30", "20");
		l.print();
	}

}
